# Detect where the pam modules are
%global _pamlibdir %(eval "rpm -qf %{_libdir}/security 2> /dev/null | %{__grep} -q ^pam && echo %{_libdir} || echo /%{_lib}")

Summary: PAM module that that uses usbkeys as an authentication token
Name: pam_usbkey
Version: 1.2
Release: 0%{?dist}
License: GPLv3+
Group: System Environment/Base
URL: http://www.cjpaget.co.uk/Code/pam_usbkey/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://github.com/ColumPaget/pam_usbkey/archive/%{name}-%{version}.tar.gz
Patch0: pam_usbkey-1.2-make.patch
BuildRequires: pam-devel, sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a simple PAM (Pluggable Authentication Modules) Module which
provides a "poor person's two-factor authentication" feature by checking
that a pre-registered usb key is plugged into the system. Each usb-drive
should have a unique serial number, and this module checks if a
pre-registered drive is present. By editing the PAM configuration this
module can be used to require a usb key be present in combination with
the normal password in order to allow login, or su, or any other PAM
aware service. It can also be used to provide passwordless login when
a usb key is plugged in (which is probably crazy).

%prep
%setup -q
%patch0 -p1 -b .make

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p" libdir=%{_pamlibdir}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENCE README.md
%{_pamlibdir}/security/%{name}.so
%{_mandir}/man8/%{name}.8*
%{_bindir}/listusbkeys

%changelog
* Thu Apr 23 2020 Simon Matter <simon.matter@invoca.ch> 1.2-1
- initial build
